Skip to main content
`Ctrl`+`K`
scipy.stats._result_classes.

# OddsRatioResult

class scipy.stats._result_classes.OddsRatioResult(_table, _kind, statistic)

  Result of `scipy.stats.contingency.odds_ratio`. See the docstring for odds_ratio for more details.

  Attributes:
    statistic float

      The computed odds ratio.

      - If kind is `'sample'`, this is sample (or unconditional) estimate, given by `table[0, 0]*table[1, 1]/(table[0, 1]*table[1, 0])`.

      - If kind is `'conditional'`, this is the conditional maximum likelihood estimate for the odds ratio. It is the noncentrality parameter of Fisher’s noncentral hypergeometric distribution with the same hypergeometric parameters as table and whose mean is `table[0, 0]`.

  Methods

  `confidence_interval`([confidence_level, ...]) | Confidence interval for the odds ratio.